module OSU
  # Validates an osu emplid.
  class Emplid
    # a valid emplid is an 8-9 digit string
    VALID_EMPLID = /\A\d{8,9}\z/

    # Returns true if the emplid is valid.
    def self.valid?(emplid)
      case emplid
      when VALID_EMPLID then true
      else false
      end
    end
  end
end
